[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dubbio acpi



Massimo Sandolo wrote:
 > dipende
 > se hai preso l'ultima versione del ramo 2.4.26, allora la patch è di
 > sicuro già applicata (a meno che non sia una patch in beta, denominate
 > prepatch)
 > per capire se la patch è applicata guarda la versione; se la versione
 > della patch è superiore a quella del kernel => non è stata applicata, se
 > è inferiore o uguale => è già contenuta nel kernel
 > Questo discorso naturalmente vale soltanto per le patch ufficiali.

Allora ... un apt-cache show su kernel-source-2.4.26 mi dice Version 2.4.26-2, la patch disponibile sul sito dell'acpi si chiama acpi-20040326-2.4.26.diff, indi uguale e niente patch?

non vorrei che la patch non sia tra quelle ufficiali (dove per patch ufficiali intendo le prepatch che sono una via intermedia tra due versioni successive del kernel), cioè è una patch per incorporare qualcosa nel kernel che non è supportato di base. In questo caso ti dovrebbe dire la versione del kernel alla quale puoi applicare la patch e cioè esattamente alla 2.4.26, quindi non è detto che per versioni successive funzioni correttamente (se quella parte del kernel non è stata modificata non dovrebbero esserci problemi, però per essere sicuri bisognerebbe partire dalla versione corretta).

Bisogna anche tener conto che se prendi il kernel Debian di sicuro ci sono parti modificate e quindi è possibile che non riesci ad applicare la patch. Quindi forse è meglio prendere il kernel direttamente da www.kernel.org

 > In pratica la patch ufficiale ti dice che versione diventa il tuo kernel
 > dopo che l'hai applicata

ok!
Ma in caso applichi la patch su un kernel che è già patchato cosa succede? a prescindere che si tratti una patch acpi, pcmcia o quello che è...

in pratica una patch è una diff fra due file, controlla se il file in tuo possesso è uguale al file al quale deve essere applicata la patch e se c'è soltanto uno spazio di differenza ti genera un errore

Ciao
Davide

--
Linux User: 302090: http://counter.li.org
Prodotti consigliati:
Sistema operativo: Debian: http://www.it.debian.org
Strumenti per l'ufficio: OpenOffice.org: http://it.openoffice.org
Database: PostgreSQL: http://www.postgres.org
Browser: FireFox: http://texturizer.net/firefox
Client di posta: Thunderbird: http://texturizer.net/thunderbird
Enciclopedia: wikipedia: http://it.wikipedia.org
--
Non autorizzo la memorizzazione del mio indirizzo di posta a chi usa
outlook: non voglio essere invaso da spam


--
Email.it, the professional e-mail, gratis per te: http://www.email.it/f

Sponsor:
Libertà in tasca per i tuoi acquisti? Ecco la soluzione ideale, clicca qui
Clicca qui: http://adv.email.it/cgi-bin/foclick.cgi?mid56&d0-5



Reply to: